libsigc++ 2.0: Adaptors

Main Page Groups Namespaces

# Adaptors

Collaboration diagram for Adaptors:

Adaptors are functors that alter the signature of a functor's operator()(). More...

## Modules
| bind(), bind_return()
| sigc::bind() alters an arbitrary functor by fixing arguments to certain values.

| compose()
| sigc::compose() combines two or three arbitrary functors.

| exception_catch()
| sigc::exception_catch() catches an exception thrown from within the wrapped functor and directs it to a catcher functor.

| hide(), hide_return()
| sigc::hide() alters an arbitrary functor in that it adds a parameter whose value is ignored on invocation of the returned functor.

| group()
| sigc::group() alters an arbitrary functor by rebuilding its arguments from one or more lambda expressions.

| retype(), retype_return()
| sigc::retype() alters a sigc::pointer_functor, a sigc::mem_functor or a sigc::slot in that it makes C-style casts to the functor's parameter types of all parameters passed through operator()().

## Classes
struct | sigc::adaptor_functor<T_functor>
| Converts an arbitrary functor into an adaptor type. More...
struct | sigc::adapts<T_functor>
| Base type for adaptors. More...
struct | sigc::adaptor_base
| A hint to the compiler. More...
struct | sigc::deduce_result_type<T_functor, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7, I_derives_adaptor_base>
| Deduce the return type of a functor. More...
## Functions
template<class T_action, class T_functor>
void | sigc::visit_each (const T_action& _A_action, const adaptor_functor<T_functor>& _A_target)
| Performs a functor on each of the targets of a functor.

## Detailed Description

Adaptors are functors that alter the signature of a functor's operator()().

The adaptor types libsigc++ provides are created with bind(), bind_return(), hide(), hide_return(), retype_return(), retype(), compose(), exception_catch() and group().

You can easily derive your own adaptor type from sigc::adapts.

## Function Documentation

template <class T_action, class T_functor>

void sigc::visit_each | ( | const T_action & | _A_action,
|  | const adaptor_functor< T_functor > & | _A_target |
| ) |  |  | `[inline]`

Performs a functor on each of the targets of a functor.

The function overload for sigc::adaptor_functor performs a functor on the functor stored in the sigc::adaptor_functor object.